Bug 81324 - Rename getElementInShadowTreeStack to getNodeInShadowTreeStack
: Rename getElementInShadowTreeStack to getNodeInShadowTreeStack
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P4 Enhancement
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-03-16 02:43 PST by
Modified: 2012-03-21 00:06 PST (History)


Attachments
Patch (7.03 KB, patch)
2012-03-20 03:47 PST, Kaustubh Atrawalkar
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-16 02:43:40 PST
With reference to the comments from Hayato in bug https://bugs.webkit.org/show_bug.cgi?id=81102, 
"We should rename getElementInShadowTreeStack since it can return ShadowRoot, which is not Element.
That is an unintentional usage that it can return ShadowRoot. So we should rename it to getNodeInShadowTreeStack."
------- Comment #1 From 2012-03-20 03:47:17 PST -------
Created an attachment (id=132790) [details]
Patch
------- Comment #2 From 2012-03-20 18:06:43 PST -------
Okay. You need r+ from reviewers.

(In reply to comment #1)
> Created an attachment (id=132790) [details] [details]
> Patch
------- Comment #3 From 2012-03-21 00:06:21 PST -------
(From update of attachment 132790 [details])
Clearing flags on attachment: 132790

Committed r111505: <http://trac.webkit.org/changeset/111505>
------- Comment #4 From 2012-03-21 00:06:25 PST -------
All reviewed patches have been landed.  Closing bug.